<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<!--
<div class="block-title">
    <strong>
        <span class="text" translate="'My Cart'"></span>
        <span
            class="qty empty"
            text="getCartParam('summary_count')"
            data-bind="css: { empty: !!getCartParam('summary_count') == false },
                       attr: { title: $t('Items in Cart') }">
        </span>
    </strong>
</div>
-->
<div class="block-content">
    <if args="getCartParam('summary_count')">
        <div class="items-total">
            <button type="button"
                    id="btn-minicart-close"
                    class="ox-overlay-close-btn"
                    aria-label="Close"
                    data-action="close">
                <span></span>
            </button>
            <span class="count" if="maxItemsToDisplay < getCartLineItemsCount()" text="maxItemsToDisplay"></span>
            <translate args="'of'" if="maxItemsToDisplay < getCartLineItemsCount()"></translate>
            <span class="count" text="getCartParam('summary_count')"></span>
                <!-- ko if: (getCartParam('summary_count') > 1) -->
            <span translate="'Items in Cart'"></span>
                <!--/ko-->
                <!-- ko if: (getCartParam('summary_count') === 1) -->
            <span translate="'Item in Cart'"></span>
                <!--/ko-->
                
        </div>
    </if>
    <if args="getCartParam('summary_count')">
        <strong class="subtitle" translate="'Recently added item(s)'"></strong>
        <div data-action="scroll" class="minicart-items-wrapper">
            <ol id="mini-cart" class="minicart-items" data-bind="foreach: { data: getCartItems(), as: 'item' }">
                <each args="$parent.getRegion($parent.getItemRenderer(item.product_type))"
                      render="{name: getTemplate(), data: item, afterRender: function() {$parents[1].initSidebar()}}"
                ></each>
            </ol>
        </div>
    </if>

    <ifnot args="getCartParam('summary_count')">
        <div class="empty-cart-wrapper">
            <div class="athlete2-icon-cart empty-cart-icon"></div>
            <strong class="subtitle empty"
                    translate="'You have no items in your shopping cart.'"
            ></strong>
            <button type="button"
                    id="btn-minicart-close"
                    class="button continue primary"
                    data-action="close">
                <span translate="'Continue Shopping.'"></span>
            </button>
        </div>
        <if args="getCartParam('cart_empty_message')">
            <p class="minicart empty text" text="getCartParam('cart_empty_message')"></p>
            <div class="actions">
                <div class="secondary">
                    <a class="action viewcart" data-bind="attr: {href: shoppingCartUrl}">
                        <span translate="'View Cart'"></span>
                    </a>
                </div>
            </div>
        </if>
    </ifnot>
    <div class="dropdown-bottom-wrapper" if="getCartParam('summary_count')">
        <each args="getRegion('subtotalContainer')" render=""></each>
        <each args="getRegion('extraInfo')" render=""></each>

            <div class="actions">
                <div class="primary" if="getCartParam('possible_onepage_checkout')">
                    <button
                            id="top-cart-btn-checkout"
                            type="button"
                            class="action primary checkout"
                            data-action="close"
                            data-bind="
                                attr: {
                                    title: $t('Checkout')
                                },
                                click: closeMinicart()
                            "
                            translate="'Checkout'"
                    ></button>
                </div>
                <div class="secondary">
                    <a class="action viewcart" data-bind="attr: {href: shoppingCartUrl}">
                        <span translate="'View Cart'"></span>
                    </a>
                </div>
                <div class="extra-actions" data-bind="html: getCartParamUnsanitizedHtml('extra_actions')"></div>
            </div>
 
        <div id="minicart-widgets" class="minicart-widgets" if="regionHasElements('promotion')">
            <each args="getRegion('promotion')" render=""></each>
        </div>
    </div>
</div>
<each args="getRegion('sign-in-popup')" render=""></each>
